# `abacusai.annotation_entry`

## Module Contents

### Classes

`AnnotationEntry` | An Annotation Store entry for an Annotation

class abacusai.annotation_entry.AnnotationEntry(client, featureGroupId=None, featureName=None, docId=None, featureGroupRowIdentifier=None, updatedAt=None, annotationEntryMarker=None, status=None, lockedUntil=None, verificationInfo=None, annotation={})

  Bases: `abacusai.return_class.AbstractApiClass`

  An Annotation Store entry for an Annotation

  Parameters:

    - client (ApiClient) – An authenticated API Client instance

    - featureGroupId (str) – The ID of the feature group this annotation belongs to.

    - featureName (str) – name of the feature this annotation is on.

    - docId (str) – The ID of the primary document the annotation is on.

    - featureGroupRowIdentifier (str) – The key value of the feature group row the annotation is on (cast to string). Usually the primary key value.

    - updatedAt (str) – Most recent time the annotation entry was modified, e.g. creation or update time.

    - annotationEntryMarker (str) – The entry marker for the annotation.

    - status (str) – The status of labeling the document.

    - lockedUntil (str) – The time until which the document is locked for editing, in ISO-8601 format.

    - verificationInfo (dict) – The verification info for the annotation.

    - annotation (Annotation) – json-compatible structure holding the type and value of the annotation.

  __repr__()

    Return repr(self).

  to_dict()

    Get a dict representation of the parameters in this class

    Returns:

      The dict value representation of the class parameters

    Return type:

      dict